import * as cdk from "@aws-cdk/core";
import lambda from "@aws-cdk/aws-lambda";
export interface BuildPreparationOptions {
    runtime: lambda.Runtime;
    entry: string;
    directory: string;
    inplace: boolean;
    _bundleUsingNpm7?: boolean;
}
export interface BuildPreparationResult {
    hasDependencies: boolean;
    dependencies: {
        packageJson: any;
        packageLock: any;
    };
    build: {
        directory: string;
        hash: string;
    };
    info: {
        sources: string[];
    };
    cache: any;
}
export declare function prepareBuild(options: BuildPreparationOptions): BuildPreparationResult;
export interface BundlingCreationOptions {
    build: {
        directory: string;
        hash: string;
    };
    dependencies: {
        packageJson: any;
        packageLock: any;
    };
}
export declare function makeBundlingOptions(options: BundlingCreationOptions, commands?: string[]): cdk.BundlingOptions;
